<?php

namespace ModulesGarden\Servers\ZimbraEmail\App\UI\Admin\ProductConfiguration\Pages\Sections;


use ModulesGarden\Servers\ZimbraEmail\App\UI\Admin\Custom\Sections\BoxSectionExtended;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Fields\Switcher;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Sections\BoxSection;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Sections\HalfPageSection;

/**
 *
 * Created by PhpStorm.
 * User: Tomasz Bielecki ( tomasz.bi@modulesgarden.com )
 * Date: 29.08.19
 * Time: 08:35
 * Class MimeFeatures
 */
class MimeFeatures extends BoxSectionExtended implements AdminArea
{
    protected $id       = 'mimeFeatures';
    protected $name     = 'mimeFeatures';
    protected $title    = 'mimeFeatures';

    public function initContent()
    {
        $this
            ->addSection($this->getLeftSection())
        ;

    }
    /**
     * @return HalfPageSection
     */
    public function getLeftSection()
    {
        $left = new HalfPageSection('left');

        $field = new Switcher('zimbraFeatureSMIMEEnabled');
        $left->addField($field);

        return $left;
    }


}